/* examples/panel/radio.c */

#include <helium.h>

He_node *princ, *panel, *tog1, *tog2, *tog3;

void etat_proc (He_node *hn)
{
    char *nom = HeGetToggleLabel (hn);
    int  etat = HeGetToggleValue (hn);
    printf ("%s : %s\n", nom, etat ? "allum" : "teint");
}

int main (int argc, char *argv[])
{
    HeInit (&argc, &argv);

    princ = HeCreateFrame ();
    HeSetFrameLabel (princ, "Toggle radio");
    
    panel = HeCreatePanel (princ);
    HeCreateMessageP (panel, "Radio :", TRUE);
   
    tog1 = HeCreateToggle (panel, HE_RADIO);
    HeSetToggleLabel (tog1, "Choix 1");
    HeSetToggleNotifyProc (tog1, etat_proc);
    
    tog2 = HeCreateToggle (panel, HE_RADIO);
    HeSetToggleLabel (tog2, "Choix 2");
    HeSetToggleNotifyProc (tog2, etat_proc);
    HeGroupToggle (tog1, tog2);
    
    tog3 = HeCreateToggle (panel, HE_RADIO);
    HeSetToggleLabel (tog3, "Choix 3");
    HeSetToggleNotifyProc (tog3, etat_proc);
    HeGroupToggle (tog2, tog3);
    
    HeSetToggleLighted (tog1);
    
    HeFit(panel);
    HeFit(princ);
    
    return HeMainLoop (princ);
}
