/* examples/panel/toggle.c */

#include <helium.h>

He_node *princ, *panel, *tmp;

void etat_proc (He_node *hn)
{
    char *nom = HeGetToggleLabel (hn);
    int  etat = HeGetToggleValue (hn);
    printf ("%s : %s\n", nom, etat ? "allum" : "teint");
}

int main (int argc, char *argv[])
{
    HeInit (&argc, &argv);

    princ = HeCreateFrame ();
    HeSetFrameLabel (princ, "Toggle");
    
    panel = HeCreatePanel (princ);
    HeSetPanelLayout (panel, HE_VERTICAL);    
    
    tmp = HeCreateToggle (panel, HE_LED);
    HeSetToggleLabel (tmp, "Toggle HE_LED");
    HeSetToggleNotifyProc (tmp, etat_proc);
    
    tmp = HeCreateToggle (panel, HE_CHECK);
    HeSetToggleLabel (tmp, "Toggle HE_CHECK");
    HeSetToggleNotifyProc (tmp, etat_proc);
    
    tmp = HeCreateToggle (panel, HE_RADIO);
    HeSetToggleLabel (tmp, "Toggle HE_RADIO");
    HeSetToggleNotifyProc (tmp, etat_proc);
    
    HeFit(panel);
    HeFit(princ);
    
    return HeMainLoop (princ);
}
