/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/glarea.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__GLAREA_H
#define HELIUM__GLAREA_H


typedef struct {
        GLXContext        context;
        Visual	          *visual;
        Colormap          colormap;
	int	          depth,
		          old_xm, old_ym,
                          doublebuffer;
	He_glinit_proc    init_proc;
	He_glresize_proc  resize_proc;
	He_glrepaint_proc repaint_proc;
	He_glevent_proc   event_proc;
        He_tip_info tip_info;
} Obj_glarea;


/* PUBLIC */
extern He_node *HeCreateGLArea (He_node *owner, 
	int *gl_attr_list, GLXContext share_context);
extern void HeSetGLAreaInitProc (He_node *hn, He_glinit_proc proc);
extern void HeSetGLAreaResizeProc (He_node *hn, He_glresize_proc proc);
extern void HeSetGLAreaRepaintProc (He_node *hn, He_glrepaint_proc proc);
extern void HeSetGLAreaEventProc (He_node *hn, He_glevent_proc proc);
extern He_glresize_proc HeGetGLAreaResizeProc (He_node *hn);
extern He_glrepaint_proc HeGetGLAreaRepaintProc (He_node *hn);
extern He_glevent_proc HeGetGLAreaEventProc (He_node *hn);
extern int HeGetGLAreaDepth (He_node *hn);
extern GLXContext HeGetGLAreaContext (He_node *hn);
extern Visual *HeGetGLAreaVisual (He_node *hn);
extern Colormap HeGetGLAreaColormap (He_node *hn);
extern int HeGLAreaMakeCurrent (He_node *hn);
extern void HeGLAreaSwapBuffers (He_node *hn);
extern void HeGLAreaDefaultResizeProc (He_node *hn, int width, int height);


/* PRIVE */
extern int HeGLAreaAutoInit ();
extern void HeGLAreaDestroy (He_node *hn);
extern void HeGLAreaUpdate (He_node *hn, He_upd_info *ui);
extern int HeGLAreaEvent (He_node *hn, He_event *hev);
extern He_tip_info *HeGLAreaStoreTip (He_node *hn);
extern int HeNotGLArea (He_node *hn);


#endif /* HELIUM__GLAREA_H */

