/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/bubble.h - 29/01/2002
 *
 * Affichage des bulles d'aide.
*/


#ifndef HELIUM__BUBBLE_H
#define HELIUM__BUBBLE_H


typedef struct Obj_bubble_st {
	char	*label;
} Obj_bubble;


/* PUBLIC */
extern He_node *HeCreateBubble ();
extern void HeSetBubbleLabel (He_node *hn, const char *label);
extern char *HeGetBubbleLabel (He_node *hn);
extern void HeShowBubbleXYF (He_node *hn, He_node *ref, int x, int y, int flag);


/* PRIVE */
extern void HeBubbleAutoInit ();
extern void HeBubbleDestroy (He_node *hn);
extern void HeBubbleFit (He_node *hn);
extern void HeBubbleUpdate (He_node *hn, He_upd_info *ui);
extern int HeBubbleEvent (He_node *hn, He_event *hev);
extern void HeBubbleDraw (He_node *hn);
extern int HeNotBubble (He_node *hn);


#endif /* HELIUM__BUBBLE_H */

