/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/canvas.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__CANVAS_H
#define HELIUM__CANVAS_H


typedef struct Obj_canvas_st {
	int		old_xm, old_ym;
	He_event_proc	event_proc;
	He_resize_proc	resize_proc;
	He_repaint_proc	repaint_proc;
	He_tip_info	tip_info;
	int 		dbuf:1;
	Window 		back_buf;
} Obj_canvas;


/* PUBLIC */
extern He_node *HeCreateCanvas (He_node *owner);
extern void HeSetCanvasEventProc (He_node *hn, He_event_proc proc);
extern void HeSetCanvasResizeProc (He_node *hn, He_resize_proc proc);
extern void HeSetCanvasRepaintProc (He_node *hn, He_repaint_proc proc);
extern void HeSetCanvasDBuf (He_node *hn, int val);
extern He_event_proc HeGetCanvasEventProc (He_node *hn);
extern He_resize_proc HeGetCanvasResizeProc (He_node *hn);
extern He_repaint_proc HeGetCanvasRepaintProc (He_node *hn);
extern int HeGetCanvasDBuf (He_node *hn);


/* PRIVE */
extern void HeCanvasAutoInit ();
extern void HeCanvasDestroy (He_node *hn);
extern void HeCanvasUpdate (He_node *hn, He_upd_info *ui);
extern int HeCanvasEvent (He_node *hn, He_event *hev);
extern He_tip_info *HeCanvasStoreTip (He_node *hn);
int HeCanvasDBufInit ();
void HeCanvasDBufAlloc (He_node *hn);
void HeCanvasDBufFree (He_node *hn);
void HeCanvasDBufSwap (He_node *hn);
extern int HeNotCanvas (He_node *hn);


#endif /* HELIUM__CANVAS_H */

