/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/color.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__COLOR_H
#define HELIUM__COLOR_H


#define	HE_COLOR_MAXRGB	255
#define	HE_COLOR_MAXH	360
#define	HE_COLOR_MAXSV	1000


extern int he_black, he_white, he_col_bg, he_col_rev_bg, he_col_dark_bd,
    he_col_light_bd, he_col_ink, he_col_rev_ink, he_col_sel, he_col_toggle,
    he_col_bubble;


/* PUBLIC */
extern void HeHsvToRgb (int h, int s, int v, int *r, int *g, int *b);
extern void HeRgbToHsv (int r, int g, int b, int *h, int *s, int *v);
extern void HeRgbToXColor (int r, int g, int b, XColor *x);
extern void HeHsvToXColor (int h, int s, int v, XColor *x);
extern void HeXColorToRgb (XColor *x, int *r, int *g, int *b);
extern void HeXColorToHsv (XColor *x, int *h, int *s, int *v);
extern int HeParseXColor (const char *name, XColor *x);
extern int HeParseRgb (const char *name, int *r, int *g, int *b);
extern int HeParseHsv (const char *name, int *h, int *s, int *v);
extern int HeAllocRgb (int r, int g, int b, int defaut);
extern int HeAllocHsv (int h, int s, int v, int defaut);


/* PRIVE */
extern void HeColorSysInit ();


#endif /* HELIUM__COLOR_H */

