/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/filu.c - 18/10/1999
 *
 * FILes Utils ; ATTENTION, pas encore protg contre BUFFER OVERFLOW !!!
*/

#include <helium.h>
#include <dirent.h>


/*------------------- I N T E R F A C E - P U B L I Q U E --------------------*/

/*
 * Renvoie la position du dernier '/' dans buf, sinon -1
*/

int HeLastSlash (const char *buf)
{
    int i, pos = -1;
    
    if (buf == NULL) return -1;
    
    for (i = 0; buf[i]; i++)
	if (buf[i] == '/') pos = i;
   
    return pos;
}


/*
 * Extrait de buf le rpertoire et le nom de fichier
 * size indique la taille max de ret_path et ret_base
 *
 * Renvoie 0 succes, -1 erreur (size depasse').
*/

int HePathBase (const char *buf, char *ret_path, char *ret_base, int size)
{
    int pos;
    
    if (buf == NULL || strlen(buf) >= size) return -1;
    
    pos = HeLastSlash(buf);
    
    if (pos < 0) {
        if (strcmp (buf, ".") == 0 ||
            strcmp (buf, "..") == 0)
        {
            strcpy (ret_path, buf); 
            strcpy (ret_base, "");
        } else {
            strcpy (ret_path, "."); 
            strcpy (ret_base, buf);
        } 
    } else {
        strncpy (ret_path, buf, pos+1); ret_path[pos+1] = 0;
        strcpy  (ret_base, buf+pos+1);
    }
    
    return 0;
}


/*
 * Cherche  complter le nom du fichier en parcourant le rpertoire.
 * size indique la taille max de ret_end
 *
 * Renvoie 0 succes, -1 erreur (mauvais rpertoire ou pas de choix).
*/

int HeCompletion (const char *buf, char *ret_end, int size)
{
    DIR *dir;
    struct dirent *e;
    char path[256], base[256];
    int test = 0, len;
    
    if (HePathBase (buf, path, base, 256) < 0) return -1;
    
    if ((dir = opendir(path)) == NULL) return -1;
    
    ret_end[0] = 0; len = strlen(base);
    
    while ((e = readdir(dir)) != NULL) {
    
        if (strcmp(e->d_name, ".") == 0 ||
            strcmp(e->d_name, "..") == 0) continue;
            
        if (len == 0 || strncmp (base, e->d_name, len) == 0) {
        
            if (test == 0) {
                test = 1;
                if (strlen(e->d_name+len) >= size) 
                    { closedir(dir); return -1; }
                strcpy (ret_end, e->d_name+len);
            } else {
                int i;
                for (i = 0; ret_end[i]; i++)
                    if (ret_end[i] != e->d_name[i+len]) break;
                ret_end[i] = 0;
            }
        }
    }
        
    closedir(dir);
    
    return (ret_end[0] == 0) ? -1 : 0;
}

