/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/frame.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__FRAME_H
#define HELIUM__FRAME_H


typedef struct Obj_frame_st {
	int		old_xb, old_yb,	/* Pour detecter un replace */
			old_xm, old_ym;	/* Pour detecter un resize */
        He_focus_info	focus_info;	/* Focus clavier */
	He_close_proc	close_proc;
	He_resize_proc	resize_proc;
	He_replace_proc	replace_proc;
} Obj_frame;


extern int he_wmdeco_width, he_wmdeco_height;


/* PUBLIC */
extern He_node *HeCreateFrame ();
extern void HeSetFrameLabel (He_node *hn, const char *nom);
extern void HeSetFrameCloseProc (He_node *hn, He_close_proc proc);
extern void HeSetFrameResizeProc (He_node *hn, He_resize_proc proc);
extern void HeSetFrameReplaceProc (He_node *hn, He_replace_proc proc);
extern He_close_proc HeGetFrameCloseProc (He_node *hn);
extern He_resize_proc HeGetFrameResizeProc (He_node *hn);
extern He_replace_proc HeGetFrameReplaceProc (He_node *hn);
extern void HeSetFrameGeom (He_node *hn, const char *geom);
extern void HeTransientFrame (He_node *hn);
extern int HeIsFrame (He_node *hn);


/* PRIVE */
extern void HeFrameAutoInit ();
extern void HeFrameDestroy (He_node *hn);
extern void HeFrameFit (He_node *hn);
extern void HeFrameUpdate (He_node *hn, He_upd_info *ui);
extern int HeFrameEvent (He_node *hn, He_event *hev);
extern He_focus_info *HeFrameStoreFocus (He_node *hn);
extern void HeFrameWMDeco (XReparentEvent *ev);
extern void HeFrameDetectResize (He_node *hn, int width, int height);
extern void HeFrameDetectReplace (He_node *hn);
extern void HeFrameTopWinGeom (He_node *hn, He_upd_info *ui);
extern void HeFrameOptionGeom ();
extern void HeFrameReadAtomWMDeco ();
extern void HeFrameWriteAtomWMDeco ();
extern int HeNotFrame (He_node *hn);


#endif /* HELIUM__FRAME_H */

