/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/io.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__IO_H
#define HELIUM__IO_H


enum {
	HE_IO_NULL		= 0L,
	HE_IO_READ		= 1L<<0	,	/* Lecture */
	HE_IO_WRITE		= 1L<<1	,	/* criture  */
	HE_IO_EXCEPT		= 1L<<2		/* Lecture urgente */
};


/* PUBLIC */
extern int HeAddIO (int fd, Ulong cond, He_io_proc proc, void *data);
extern int HeRemoveIO (int fd);


/* PRIVE */
extern void HeIOInit ();
extern int HeIOCompar (void *v1, void *v2);
extern int HeIOFind (int fd);
extern int HeIOPoll (struct timeval *tp);
extern void HeIOCorrectEBADF ();
extern void HeIOProcess ();
extern void HeIOLoopStop ();
extern void HeIOLoop ();


#endif /* HELIUM__IO_H */

