/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/method.c - 24/07/2000
 *
 * Constructeur de classes
*/

#include <helium.h>


He_method he_meth_void;


/*-------------------- F O N C T I O N S - P R I V E E S ---------------------*/

/*
 * Initialisation d'une methode par defaut, dont le champs magic.
*/

void HeMethodDefault (He_method *meth, int nat)
{
    meth->magic      = HE_METH_MAGIC;
    meth->nat        = nat;
    meth->props      = HE_PM_NULL;
    meth->destroy    = HeMethodDestroyDefault;
    meth->fit        = HeMethodFitDefault;
    meth->update     = HeMethodUpdateDefault;
    meth->event      = HeMethodEventDefault;
    meth->draw       = HeMethodDrawDefault;
    meth->sel_export = HeMethodExportDefault;
    meth->sel_import = HeMethodImportDefault;
    meth->focus      = HeMethodStoreFocusDefault;
    meth->tip        = HeMethodStoreTipDefault;
}


/*
 * Initialisation gnrale du module.
*/

void HeMethodInit ()
{
    HeMethodDefault (&he_meth_void, HE_NAT_VOID);
}


/*
 * Methodes par defaut.
*/

void HeMethodDestroyDefault (He_node *hn)
{
    /* Rien */
}

void HeMethodFitDefault (He_node *hn)
{
    /* Rien */
}

void HeMethodUpdateDefault (He_node *hn, He_upd_info *ui)
{
    /* Rien */
}

int HeMethodEventDefault (He_node *hn, He_event *hev)
{
    return -1;
}

void HeMethodDrawDefault (He_node *hn)
{
    /* Rien */
}

int HeMethodExportDefault (He_node *hn, Atom sel_type, Atom target,
	Atom *type, Uchar **value, int *length, int *format, int *free_value)
{
    return FALSE;
}

void HeMethodImportDefault (He_node *hn, Atom sel_type, Atom target, Atom prop,
	Atom type, int format, Ulong nitems, Uchar *data, int *free_data)
{
    /* Rien */
}

He_focus_info *HeMethodStoreFocusDefault (He_node *hn)
{
    return NULL;
}

He_tip_info *HeMethodStoreTipDefault (He_node *hn)
{
    return NULL;
}

