/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/pan_message.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__PAN_MESSAGE_H
#define HELIUM__PAN_MESSAGE_H


typedef struct Obj_panel_message_st {
	char	*label;
	int	bold,		/* Est en gras */
        	max_len;	/* Longueur max du string */
        He_tip_info tip_info;
} Obj_panel_message;


/* PUBLIC */
extern He_node *HeCreateMessage (He_node *owner);
extern He_node *HeCreateMessageP (He_node *owner, const char *label, int bold);
extern void HeSetMessageLabel (He_node *hn, const char *label);
extern void HeSetMessageBold (He_node *hn, int bold);
extern void HeSetMessageMaxLen (He_node *hn, int max_len);
extern char *HeGetMessageLabel (He_node *hn);
extern int HeGetMessageBold (He_node *hn);
extern int HeGetMessageMaxLen (He_node *hn);


/* PRIVE */
extern void HeMessageAutoInit ();
extern void HeMessageDestroy (He_node *hn);
extern void HeMessageFit (He_node *hn);
extern void HeMessageUpdate (He_node *hn, He_upd_info *ui);
extern int HeMessageEvent (He_node *hn, He_event *hev);
extern void HeMessageDraw (He_node *hn);
extern He_tip_info *HeMessageStoreTip (He_node *hn);
extern int HeNotMessage (He_node *hn);


#endif /* HELIUM__PAN_MESSAGE_H */

