/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/pan_rule.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__PAN_RULE_H
#define HELIUM__PAN_RULE_H


typedef struct Obj_panel_rule_st {
	He_repaint_proc	repaint_proc;
} Obj_panel_rule;


/* PUBLIC */
extern He_node *HeCreateRule (He_node *owner);
extern void HeSetRuleRepaintProc (He_node *hn, He_repaint_proc proc);
extern He_repaint_proc HeGetRuleRepaintProc (He_node *hn);
extern void HeRuleDefaultRepaintProc (He_node *hn, Window win);


/* PRIVE */
extern void HeRuleAutoInit ();
extern void HeRuleDestroy (He_node *hn);
extern void HeRuleFit (He_node *hn);
extern void HeRuleUpdate (He_node *hn, He_upd_info *ui);
extern int HeRuleEvent (He_node *hn, He_event *hev);
extern void HeRuleDraw (He_node *hn);
extern int HeNotRule (He_node *hn);


#endif /* HELIUM__PAN_RULE_H */

