/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/vlist.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__VLIST_H
#define HELIUM__VLIST_H


typedef struct He_vlist_st { 
	void	*v;		/* tableau d'elements */
        int	size,		/* taille d'un element en octets */
        	max,		/* nb max d'elements de la liste */
        	nb,		/* nb d'elements dans la liste */
                grain,		/* grain pour rallonger la liste */
                inf,		/* quand rallonger la liste */
                sup,		/* quand raccourcir la liste */
                sorted;		/* TRUE ou FALSE */
        He_compar_proc compar;  /* renvoie -1,0,1 */
} He_vlist;


/* PUBLIC */
extern void HeVListInit (He_vlist *list, int sorted, int grain, int size,
                  He_compar_proc compar);
extern int HeVListSearch (He_vlist *list, void *p_elt, int *ret_index);
extern int HeVListInsert (He_vlist *list, void *p_elt);
extern int HeVListRemove (He_vlist *list, int index);
extern int HeVListRAZ (He_vlist *list);


/* PRIVE */
extern int HeVListLonger (He_vlist *list);
extern int HeVListShorter (He_vlist *list);


#endif /* HELIUM__VLIST_H */

