/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * include/attr.h - 29/06/1999
 *
 * Declaration des attributs et constantes
*/


#ifndef HELIUM__ATTR_H
#define HELIUM__ATTR_H


		/* -------- Constantes -------- */

#define FALSE	0
#define TRUE	1


		/* -------- Attr des natures -------- */

enum {
	HE_NAT_BB		= 0x10000,
	HE_NAT_BASE,
	HE_NAT_VOID,
	HE_NAT_FRAME,
	HE_NAT_CANVAS,
	HE_NAT_PANEL,
	HE_NAT_MESSAGE,
	HE_NAT_BUTTON,
	HE_NAT_TOGGLE,
	HE_NAT_TEXT,
	HE_NAT_RULE,
	HE_NAT_ARROW,
	HE_NAT_PLUG,
	HE_NAT_MENU,
	HE_NAT_MENU_ITEM,
	HE_NAT_BUBBLE,
        HE_NAT_UNKNOWN,
	HE_NAT_EE
};

		/* -------- Attr communs -------- */

enum {
	HE_HORIZONTAL		= 0x20000,
	HE_VERTICAL,
	HE_LINE_FEED,
        HE_LEFT,
        HE_RIGHT,
        HE_TOP,
        HE_BOTTOM,
        HE_TOP_LEFT,
        HE_TOP_MIDDLE,
        HE_TOP_RIGHT,
        HE_BASE_LEFT,
        HE_BASE_MIDDLE,
        HE_BASE_RIGHT,
        HE_BOTTOM_LEFT,
        HE_BOTTOM_MIDDLE,
        HE_BOTTOM_RIGHT,
        HE_DIALOG_TITLE,
        HE_DIALOG_PROC,
        HE_DIALOG_DATA,
        HE_DIALOG_MESSAGE,
        HE_DIALOG_QUOTED,
        HE_DIALOG_BUTTON,
        HE_DIALOG_BUTTOK,
        HE_DIALOG_BELL,
        HE_LED,
        HE_CHECK,
        HE_RADIO,
        HE_SET,
        HE_GET
};


		/* -------- Masques d'etats -------- */

enum {
	HE_STA_NULL		= 0L,
	HE_STA_SHOW		= 1L<<0  ,
	HE_STA_MAP		= 1L<<1  ,
	HE_STA_ICONIC		= 1L<<2  ,
	HE_STA_ACTIVE		= 1L<<3  ,
	HE_STA_DESTROY		= 1L<<4  ,
	HE_STA_DESTROY_INHERIT	= 1L<<5  ,
	HE_STA_PUSHED		= 1L<<6  ,
	HE_STA_MOUSE_IN		= 1L<<7  ,
	HE_STA_INSERT_MODE	= 1L<<8  ,
	HE_STA_FOCUS_OWN	= 1L<<9  ,
	HE_STA_FOCUS_IN		= 1L<<10 ,
	HE_STA_SELECTION	= 1L<<11 ,
	HE_STA_AUTOFIT		= 1L<<12
};


	/* -------- Constantes pour borner les widget -------- */

#define HE_DECO_TW	14
#define HE_DECO_TH	7
#define HE_DECO_TM	4


#endif /* HELIUM__ATTR_H */

