/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * include/helium.h - 15/11/1996
 *
 * Header publique de libHelium
*/


#ifndef HELIUM__HELIUM_H
#define HELIUM__HELIUM_H


/*
 * Headers standards
*/
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdarg.h>
#include <errno.h>
#include <string.h>
#include <memory.h>
#include <ctype.h>


/*
 * Partie systeme et sockets
*/
#include <signal.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/file.h>
#include <netinet/in.h>
#include <netdb.h>
#include <fcntl.h>

#ifndef FASYNC
#   include <sys/ioctl.h>
#endif /* !FASYNC */


/*
 * Headers de X11
*/
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h>
#include <X11/Xatom.h>
#include <X11/cursorfont.h>
#include <X11/keysym.h>

#ifdef HE_USE_XEXT
#include <X11/extensions/Xdbe.h>
#endif


/*
 * Headers de HELIUM
*/

/* Compatibilit C++ */
#if defined(c_plusplus) && !defined(__cplusplus)
#define __cplusplus
#endif

#ifdef __cplusplus
extern "C" {
#endif

#include "types.h"
#include "attr.h"
#include "macros.h"
#include "compatib.h"
#include "../gui/modules.h"

/* Compatibilit C++ */
#ifdef __cplusplus
}
#endif


#endif /* HELIUM__HELIUM_H */

