/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * include/heliumGL.h - 16/09/1999
 *
 * Header publique de libHeliumGL
*/


#ifndef HELIUM__HELIUM_GL_H
#define HELIUM__HELIUM_GL_H


/* 
 * headers
*/
#include "helium.h"

#include <math.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glx.h>

/* Compatibilit C++ */
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Prototypes callbacks
*/
typedef void (*He_glinit_proc)    (He_node_ptr hn);
typedef void (*He_glresize_proc)  (He_node_ptr hn, int width, int height);
typedef void (*He_glrepaint_proc) (He_node_ptr hn);
typedef void (*He_glevent_proc)   (He_node_ptr hn, He_event_ptr hev);


/*
 * Types et prototypes des modules
*/
#include "../glx/modules.h"


/* Compatibilit C++ */
#ifdef __cplusplus
}
#endif

#endif /* HELIUM__HELIUM_GL_H */

